Subject: [6tisch] SF0 and 6top error/return code questions

From: Lotte Steenbrink <[email-masked]>
Date: Wed, 31 May 2017 18:01:16 +0200

Dear 6TiSCH Working Group,

while reading through the SF0 and 6top drafts, I've struggled with the way some error and return codes are defined and used. Since I'm new to  6TiSCH, I'm not quite sure if there's something that I'm missing or of this is unintentional, and would be very grateful for any hints. My issues are the following:

draft-ietf-6tisch-6top-protocol-04 mentions a return code of ERR_VER in section 4.4.1., but doesn't list it in the table of section 8.2.4. 6P Return Codes (the table does, however list VERSION). Also, the table in section 8.2.4 mentions a return code called SFID, while section 4.4.2. says to set a return code called ERR_SFID. The same goes for other codes, such as ERR_GEN, ERR_EOL and ERR_BUSY. Is this intentional?

Additionally, draft-ietf-6tisch-6top-sf0-04 prefixes the response codes with RC_, which (I presume) makes them easier to search and gives them more context, but is a bit confusing when searching fro them in the 6top draft initially. Is this intentional as well? If not, would it make sense to rename ERR_VER and VERSION (in table 8.2.4.) in the 6top draft to RC_ERR_VER, ERR_SFID and SFID (in table 8.2.4.) to RC_ERR_SFID etc.?

With kind regards,
Lotte Steenbrink